package net.pingex.dcf.commands;

import java.util.Set;

/**
 * Indicates a plugin which can run commands (using annotated commands)
 */
@FunctionalInterface
public interface IWithAnnotatedCommands
{
	/**
	 * Gives all annotated commands for this plugin.
	 * @return A set of objects which contains annotated commands.
	 */
	Set<Object> getAnnotatedObjects();
}
